# README
This repository contains supplementary code for *Sediment behavior controls 
equilibrium width of subglacial channels* (A. Damsgaard, J. Suckale, J.A. 
Piotrowski, M. Houssais, M.R. Siegfried, H.A. Fricker) accepted for publication 
in Journal of Glaciology.

The finite-difference example implementation (`1d-channel.py`) simulates the 
dynamics of a 1d channel segment along a square-root ice geometry, with 
constant water pressure at the terminus.  The channel is forced with constant 
water influx and evolves its geometry according to fluvial sediment transport, 
and plasticity-related limits to channel size.

## License
See `LICENSE.md` for details.

## Author
Anders Damsgaard, https://adamsgaard.dk
